# Uses of Enum Class
io.papermc.paper.event.world.border.WorldBorderBoundsChangeEvent.Type

Packages that use WorldBorderBoundsChangeEvent.Type
Package
Description
io.papermc.paper.event.world.border

## Uses of WorldBorderBoundsChangeEvent.Type in io.papermc.paper.event.world.border

Methods in io.papermc.paper.event.world.border that return WorldBorderBoundsChangeEvent.Type
Modifier and Type
Method
Description
`@NotNull WorldBorderBoundsChangeEvent.Type`
WorldBorderBoundsChangeEvent.`getType()`
Gets if this change is an instant change or over-time change.
`static WorldBorderBoundsChangeEvent.Type`
WorldBorderBoundsChangeEvent.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WorldBorderBoundsChangeEvent.Type[]`
WorldBorderBoundsChangeEvent.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in io.papermc.paper.event.world.border with parameters of type WorldBorderBoundsChangeEvent.Type
Modifier
Constructor
Description
``
`WorldBorderBoundsChangeEvent(@NotNull World world, @NotNull WorldBorder worldBorder, @NotNull WorldBorderBoundsChangeEvent.Type type, double oldSize, double newSize, long duration)`